Redmine - Patch #17796
Expire all other sessions on password change
2014-09-04 19:02 - Jan from Planio www.plan.io

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 90%
Category: Security Estimated time: 0.00 hour
Target version: 2.6.0

Description

To improve user account security, we believe it is a good practice to expire all other active user sessions (on other computers or
browsers) once a user changes their password.

Please find attached a patch that implements this feature against current trunk; tests included.

Associated revisions

Revision 13412 - 2014-09-16 23:38 - Jean-Baptiste Barth

Expire other sessions on password change (#17796).

Contributed by Jan Schulz-Hofen.

History

#1 - 2014-09-08 22:18 - Jean-Baptiste Barth
- Assignee set to Jean-Baptiste Barth

Good practice | think. Same as #17717, I'd like to have some guidance about how we deal with that kind of patch. | didn't test this one but I'll review it

and test it when | know what to do.

#2 - 2014-09-13 11:55 - Jean-Philippe Lang

We can commit this patch now, but I'd like to change the new column to passwd_changed_on instead of password_changed_at.

#3 - 2014-09-13 22:24 - Etienne Massip

- Project changed from Security to Redmine

- Category set to Security

- Target version set to 2.6.0

#4 - 2014-09-16 23:39 - Jean-Baptiste Barth

- Status changed from Needs feedback to Closed

Added in r13412 with the column name requested by Jean-Philippe, and a minor typo fixed in the test. Thanks!
